package com.xxfc.platform.order.mapper;

import com.xxfc.platform.order.entity.OrderViolation;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author Administrator
 */
public interface OrderViolationMapper extends Mapper<OrderViolation> {

    Map<String,Object> getOrderAndVehicleStatus(@Param("vId") Integer detailId);

    OrderViolation getOneByDetailId(Integer detailId);

    void batchSave(List<OrderViolation> list);
}
